import Vue from 'vue'
import Vuex from 'vuex'
import getters from './getters'
import app from './modules/app'
import settings from './modules/settings'
import user from './modules/user'
import parkingOptions from "./parking";
import carsOptions from "./car";
Vue.use(Vuex)

const store = new Vuex.Store({
    modules: {
        app,
        settings,
        user,
        parkingAbout: parkingOptions,
        carsAbout: carsOptions,
    },
    getters
})

export default store